	.file	"compile.c"
	.section	".text"
	.align 4
	.global main
	.type	main, #function
	.proc	04
main:
	save	%sp, -120, %sp
	sethi	%hi(a), %g1
	or	%g1, %lo(a), %g1
	ld	[%g1], %g2
	sethi	%hi(b), %g1
	or	%g1, %lo(b), %g1
	ld	[%g1], %g1
	add	%g2, %g1, %g2
	sethi	%hi(c), %g1
	or	%g1, %lo(c), %g1
	st	%g2, [%g1]
	return	%i7+8
	 nop
	.size	main, .-main
	.common	a,4,4
	.common	b,4,4
	.common	c,4,4
	.ident	"GCC: (GNU) 4.3.1"
